Associate Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples

Associate a column to other resources (e.g. a dataset, another column, etc.). Associating a column to a dataset requires edit access to the dataset. Associating a column to another column can be used to indicate a many-to-one relationship between the two columns.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized name of the column.

description Multilingual string

Internationalized description of the column.

ai_context STRING

Plain-text AI context for this column. Luzmo IQ uses this field as additional business context when answering questions or generating charts. It enriches, but does not replace, the column name and description. This field is shared across all languages and is not internationalized. Set it to null to clear previously stored AI context. The API stores and returns the full value; long values may be truncated only when rendered into AI prompts.

order NUMBER

Order of this column in the dataset (e.g. 0, 1, 2). This is a required field.

source_name STRING

The original name of the column (immutable after creation). This property will be set automatically when uploading a dataset or when creating a dataset via the data push API. For derived columns, this field should not be set.

type STRING

Column type ( numeric , datetime , hierarchy , spatial , array[numeric] , array[datetime] or array[hierarchy] ). For datasets coming from connectors, this field is automatically set based on the source types exposed by your data source and cannot be changed manually. For local uploads, this field can be modified at any time with immediate effect for all historical and new data.

subtype STRING

Indicate the subtype of the column. Depending on the column type, the subtype can be either topography , coordinates , currency , duration , date , datetime , or ip_address .

format STRING

Default formatting, used to present data in charts or tables (can still be customized in each chart).

informat STRING

Default informat, used to interpret raw input data. Can be modified at any time with immediate effect for all historical and new data.

  • For numeric type: numeric

  • For hierarchy type: hierarchy

  • For spatial type: spatial

  • For datetime type, either:

    • YYYY-MM-DD HH:mm:ss.SSS (ISO-style)

    • MM-DD-YYYY HH:mm:ss.SSS (US-style)

    • DD-MM-YYYY HH:mm:ss.SSS (EU-style)

    • The corresponding format with a ZZ timezone suffix

    • X (UNIX timestamp, seconds since 1/1/1970)

    • x (UNIX timestamp, milliseconds since 1/1/1970)

The actual data can have a different input format (e.g. different separators, named months, ...). The informat only indicates the order of parsing.

color STRING

Default display color for the column.

isLabel BOOLEAN

Whether this column contains labels used for topographic features (e.g. municipality names).

minBound DATETIME

Lowest datetime value observed for this column. This property is read-only.

maxBound DATETIME

Highest datetime value observed for this column. This property is read-only.

cardinality STRING

Calculated cardinality metadata for this column. This property is read-only.

lowestLevel NUMBER

(Datetime only) Most precise datetime level used in the source data (1 - year, 9 - millisecond). The dashboard editor will only allow these levels to be used as slots.

highestLevel NUMBER

Highest calculated hierarchy or datetime level for this column. This property is read-only.

minimum NUMBER

Minimum numeric value observed for this column. This property is read-only.

maximum NUMBER

Maximum numeric value observed for this column. This property is read-only.

expression STRING

Derived column expression. Must be a valid expression.

derivation OBJECT

Structured derivation metadata for the column.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

securable_id UUID

The unique identifier of the entity

width NUMBER

Data table column header width (in pixels). Defaults to 170.

colors_enabled BOOLEAN

When this boolean is set, colors set via the hierarchy endpoint will override colors in the dashboard.

hierarchy_enabled BOOLEAN

When this boolean is set, hierarchies can be used in the dashboard editor and dashboards.

If you are experimenting with Hierarchies you can keep this disabled until you want them to be visible/usable. If you only use hierarchies to override colors/names/ordering, keep it disabled. More information can be found in Hierarchy

ordering_enabled BOOLEAN

Whether custom hierarchy ordering is enabled for this column.

aggregation_type STRING

Default aggregation type for the column.

currency_id STRING

Currency ID for this column. The currency_id is expected in the form of an ISO 4217 currency code , for example: EUR or USD .

timezone_id STRING

Timezone identifier associated with this column.

duration_levels ARRAY[INTEGER]

Set the default formatting of the numeric column with subtype duration. Array of duration levels for the column (1 - year, 9 - millisecond).

value NUMBER
duration_format STRING

Set the default formatting of the numeric column with subtype duration.

  • long : Long format (e.g. 1 year 3 days , 2 months , 3 hours 20 minutes )

  • short : Short format (e.g. 1y 3d , 2m , 3h 20m )

  • time : Time format (e.g. 03:20:34 ). This is only supported if hour and minute levels are enabled, and no higher levels are enabled

custom_metadata OBJECT

Custom metadata attached to this column. Must be a valid JSON object with a maximum size of 65536 bytes. Set to null to clear previously stored metadata.

Can be executed by:
Securable Modifier
Can be associated to:
Securable
Joins
HierarchyLevels
Currency
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{}